CustomersCustomer
List customer addresses
GET
/v1/customer/addressesList customer addresses. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/customer/addresses" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store"[ { "id": "7204558912004325301", "addressKey": "example", "department": "example", "addressNumber": "example", "province": "example", "district": "example", "phone": "+51987654321", "cellPhone": "+51987654321", "addressLine": "example", "reference": "example", "countryIsoCode": "example_code", "postalCode": "example_code", "latitude": 1, "longitude": 1, "hasCoordinates": false, "isDefault": false }]